var mapDetailBtn = null;

// 创建加载内容窗口
function createSubview(data){
	plus.webview.close('joinMapDetailBtn', 'slide-out-bottom');
	
	joinMapDetailBtn = plus.webview.create('map_detail/map_detail.html', 'joinMapDetailBtn',{
		bottom: '0',
		left: '0px',
		width: '100%',
		height: '70px',
		position: 'absolute',
		scrollIndicator: 'none',
		background: 'transparent'
	}, data);
	plus.webview.show(joinMapDetailBtn, 'slide-in-bottom');
}

function backAddress (address, lng, lat) {
	plus.webview.currentWebview().opener().evalJS('setAddress("'+ address +'", "'+ lng+'", "'+ lat +'")');
	plus.webview.close('joinMapDetailBtn', 'slide-out-bottom');
	mui.back();
}

var _region = '',
_address = '',
_x = '',
_y = '';

/**
 * 插件初始化
 */
mui.init();

/**
 * 事件初始化
 */
mui.plusReady(function() {
	var map = new AMap.Map("amap", {
		zoom: 13
	});
	
	map.plugin(['AMap.ToolBar'], function() {
		//设置地位标记为自定义标记
        var toolBar = new AMap.ToolBar({
        		position: 'RB',
        		noIpLocate: true,
        		locate: true,
        		autoPosition: true,
        		locationMarker: new AMap.Marker({
        			icon: '../../../../images/location.png',
        			visible: false
        		})
        });
        map.addControl(toolBar);
        AMap.event.addListener(toolBar, 'location', function(e) {
        	AMap.service('AMap.Geocoder', function() {
			    geocoder = new AMap.Geocoder();
			    
			    geocoder.getAddress([e.lnglat.lng, e.lnglat.lat], function(status, result) {
				    if (status === 'complete' && result.info === 'OK') {
				    	_region = result.regeocode.addressComponent.adcode;
				    	_address = result.regeocode.formattedAddress;
				    	_x = e.lnglat.lng;
        				_y = e.lnglat.lat;
        				
        				createSubview({
							address: _address
						});
				    }else{
				    	plus.nativeUI.toast('抱歉，获取位置信息失败', {duration:'long'});
				    }
				});
			})
        });
	});

	var marker;
	map.on('click', function(e) {
		var geocoder = new AMap.Geocoder({
			radius: 0,
			extensions: "all"
		});
        geocoder.getAddress([e.lnglat.getLng(), e.lnglat.getLat()], function(status, result) {
          	if (status === 'complete' && result.info === 'OK') {
        		_region = result.regeocode.addressComponent.adcode;
        		_address = result.regeocode.formattedAddress;
        		_x = e.lnglat.getLng();
        		_y = e.lnglat.getLat();
        		
        		createSubview({
					address: _address
				});
          	}
		});
        if(marker != undefined) map.remove(marker);
        marker = new AMap.Marker({  //加点
          	map: map,
          	position: [e.lnglat.getLng(), e.lnglat.getLat()]
        });
        map.setFitView();
	});
	
	h('#btn').tap(function () {
		if(_region == '' || _address == '' || _x == '' || _y == '') return plus.nativeUI.toast('请选择超市地址', {duration: 'long'});
		
		plus.webview.currentWebview().opener().evalJS('setAddress("'+ _region +'", "'+ _address +'", "'+ _x +'", "'+ _y +'")');
		mui.back();
	});
});