/*
 * 插件初始化
 */
mui.init({
	swipeBack: false
});

var flag = false;
var BASE_IMG_PATH = API_URL_IMG + '/img';
mui.plusReady(function () {
	//监听点击事件

});

document.getElementById('upload-btn').addEventListener('tap', function () {
	addImg();
});

mui(document.body).on('tap', '.vipButton', function (e) {
	var memberNo = h("#memberNo").val();

	if (memberNo == '') {
		mui.toast('请输入会员帐号!');
		return;
	}
	var obj = {};
	obj.memberNo = memberNo;

	jAjax('/business/merchant/find-member-name', 'POST', true, obj, function (type, data) {
		if (!type) return console.log(data);
		console.log(JSON.stringify(data));
		if (data.status == 200 && data.result.memberName != '') {
			//console.log("-----------1------" + JSON.stringify(data) + "-" + data.result.memberName);
			h("#memberName").html(data.result.memberName);
		} else {
			plus.nativeUI.toast('没有找到会员,请填写正确的会员号再试!', {
				duration: 'long'
			});
		}

	});
});

document.getElementById("confirmBtn").addEventListener("tap", function () {
	var _memberNo = h('#memberNo').val(),
		_memberName = h('#memberName').val(),
		_fromBank = h('#fromBank').val(),
		_fromAccount = h('#fromAccount').val(),
		_fromName = h('#fromName').val(),
		_amount = h('#amount').val(),
		_memo = h('#memo').val(),
		_payTime = h('#pickDateBtn').html();

	if (!_memberNo || _memberNo == '' || _memberNo == null) return plus.nativeUI.toast('请输入会员帐号', {
		duration: 'long'
	});
	if (!_memberName || _memberName == '' || _memberName == null) return plus.nativeUI.toast('请输入会员名称', {
		duration: 'long'
	});
	if (!_fromBank || _fromBank == '' || _fromBank == null) return plus.nativeUI.toast('请输入付款银行！', {
		duration: 'long'
	});
	if (!_fromAccount || _fromAccount == '' || _fromAccount == null) return plus.nativeUI.toast('请输入付款帐号！', {
		duration: 'long'
	});
	if (!_fromName || _fromName == '' || _fromName == null) return plus.nativeUI.toast('请输入付款户名！', {
		duration: 'long'
	});
	if (!_amount || _amount == '' || _amount == null) return plus.nativeUI.toast('请输入金额！', {
		duration: 'long'
	});
	if (!_payTime || _payTime == '' || _payTime == '选择日期' || _payTime == '您没有选择日期') return plus.nativeUI.toast('请选择汇款时间！', {
		duration: 'long'
	});
	if (!_memo || _memo == '' || _memo == null) return plus.nativeUI.toast('请输入备注！', {
		duration: 'long'
	});


	if (_memberNo.length > 16) return plus.nativeUI.toast('会员帐号太长', {
		duration: 'long'
	});
	if (_memberName.length > 16) return plus.nativeUI.toast('会员名称太长', {
		duration: 'long'
	});
	if (_fromBank.length > 16) return plus.nativeUI.toast('汇款银行太长', {
		duration: 'long'
	});
	if (_fromAccount.length > 21) return plus.nativeUI.toast('汇款帐号太长', {
		duration: 'long'
	});
	if (_fromName.length > 16) return plus.nativeUI.toast('银行户名太长', {
		duration: 'long'
	});
	if (_amount < 1000) return plus.nativeUI.toast('金额须大于1000元', {
		duration: 'long'
	});



	var imgList = getImgList();
	var iteriorImageUrls = '';
	if (imgList.length >= 0) {
		for (var i = 0; i < imgList.length; i++) {
			var imgsrc = imgList[i].src;
			imgsrc = imgsrc.replace(BASE_IMG_PATH, '');
			iteriorImageUrls += imgsrc + ',';
		}
		iteriorImageUrls = iteriorImageUrls.substring(0, iteriorImageUrls.length - 1);

	} else {
		return plus.nativeUI.toast('没有选择照片或者不支持上传', {
			duration: 'long'
		});
	}
	var obj = {};
	obj.memberNo = _memberNo;
	obj.memberName = _memberName;
	obj.fromAccount = _fromAccount;
	obj.fromBank = _fromBank;
	obj.fromName = _fromName;
	obj.amount = _amount;
	obj.memo = _memo;
	obj.voucherUrls = iteriorImageUrls;
	obj.payTime = _payTime;

	//	console.log("-------------1----" + JSON.stringify(obj));
	jAjax('/business/joinpayment/join', 'POST', true, obj, function (type, data) {
		if (!type) return console.log(data);
		if (data.status == 200 && data.result.status == 1) {
			//			mui.openWindow({
			//				url: '../audit/audit.html',
			//				id: 'audit'
			//			});
			//			return plus.nativeUI.toast('您已成功提交了缴费凭证，请等待审核！', {duration: 'long'});
			mui.alert('您已成功提交了缴费凭证，请等待审核!', ' ', '确定', function () {
				var main = plus.webview.currentWebview().opener();//获取父页面
				mui.fire(main, "closePage" );//出发A页面的pageflowrefresh方法
				mui.back();
//				mui.openWindowWithTitle({
//					id: 'two.html',
//					url: '../../join_pay/audit/audit.html',
//					waiting: {
//						title: '正在加载...'
//					}
//				}, {
//					title: { //标题配置
//						text: "商超加盟审核", //标题文字
//					},
//					back: { //左上角返回箭头
//						image: {
//							base64Data: backBase64
//						}
//					}
//				})
			});
		} else {
			mui.toast(data.msg);
		}

		console.log(JSON.stringify(data));
	});
});

/*上传或者拍照*/
function addImg() {

	var imglist = document.getElementsByClassName("upload-img");
	if (imglist.length > 2) {
		return plus.nativeUI.toast('只能上传三张凭证', {
			duration: 'long'
		});
	};

	if (mui.os.plus) {
		var a = [{
			title: "拍照"
		}, {
			title: "从手机相册选择"
		}];
		plus.nativeUI.actionSheet({
			title: "照片上传",
			cancel: "取消",
			buttons: a
		}, function (b) { /*actionSheet 按钮点击事件*/
			switch (b.index) {
				case 0:
					break;
				case 1:
					getImage(); /*拍照*/
					break;
				case 2:
					galleryImg(); /*打开相册*/
					break;
				default:
					break;
			}
		})
	}
}

//拍照 
function getImage() {
	var c = plus.camera.getCamera();
	c.captureImage(function (e) {
		plus.io.resolveLocalFileSystemURL(e, function (entry) {
			var s = entry.toLocalURL() + "?version=" + new Date().getTime();
			uploadHead(s); /*上传图片*/
		}, function (e) {
			console.log("读取拍照文件错误：" + e.message);
		});
	}, function (s) {
		console.log("error" + s);
	}, {
		filename: "_doc/head.png"
	})
}

//本地相册选择 
function galleryImg() {
	plus.gallery.pick(function (a) {
		uploadHead(a);
	}, function (a) {}, {
		filter: "image"
	})
};

var _newImgLength;

function uploadHead(imgPath) {

	//追加上传图片
	var imgLength = getImgTotalLength();
	var newImgLength = imgLength + 1;
	_newImgLength = newImgLength;
	// appendImg(newImgLength, imgPath);

	var image = new Image();
	var imgType = getImageType(imgPath);
	image.src = imgPath;
	console.log('imgType=' + imgType);
	image.onload = function () {
		var imgData = getBase64Image(image, imgType);
		/*在这里调用上传接口*/
		var url = API_URL + '/information/attachment/upload64/1494506962000';
		mui.ajax(url, {
			data: {
				'imgBase64Data': imgData,
				'imgType': imgType
			},
			dataType: 'json',
			type: 'post',
			crossDomain: true,
			timeout: 10000,
			headers: {
				'Content-Type': 'application/json'
			},
			success: function (data) {
				console.log('上传成功====>>' + data.result.pathVname);
				// var lastImg = document.getElementById('upload-img-idx-' + (newImgLength));
				// lastImg.parentNode.removeChild(lastImg);
				appendImg(newImgLength, BASE_IMG_PATH + data.result.pathVname);
			},
			error: function (xhr, type, errorThrown) {
				// var lastImg = document.getElementById('upload-img-idx-' + (newImgLength));
				// lastImg.parentNode.removeChild(lastImg);
				mui.toast('图片上传失败，原因是网络异常，请稍后再试！' + errorThrown);
				console.log(errorThrown);
			}
		});

	};
}

function callbackImg(result, data) {
	if (!result) {
		// var lastImg = document.getElementById('upload-img-idx-' + _uploadBtnIdx + '-' + (newImgLength));
		// lastImg.parentNode.removeChild(lastImg);
		mui.toast('网络异常，请稍后再试！');
	} else {
		// var lastImg = document.getElementById('upload-img-idx-' + _uploadBtnIdx + '-' + (newImgLength));
		// lastImg.parentNode.removeChild(lastImg);
		appendImg(newImgLength, BASE_IMG_PATH + data.result.pathVname);
	}
}

//将图片压缩转成base64 
function getBase64Image(img, type) {
	var canvas = document.createElement("canvas");
	var width = img.width;
	var height = img.height;
	// calculate the width and height, constraining the proportions

	var compressWidth = 100 * 4;

	//暂时注释不压缩上传
	//	if(width > height) {
	//		if(width > compressWidth) {
	//			height = Math.round(height *= compressWidth / width);
	//			console.log('height==>'+height);
	//			width = compressWidth;
	//		}
	//	} else {
	//		if(height > compressWidth) {
	//			width = Math.round(width *= compressWidth / height);
	//			console.log('height2==>'+height);
	//			height = compressWidth;
	//		}
	//	}
	canvas.width = width; /*设置新的图片的宽度*/
	canvas.height = height; /*设置新的图片的长度*/
	var ctx = canvas.getContext("2d");
	ctx.drawImage(img, 0, 0, width, height); /*绘图*/
	//var dataURL = canvas.toDataURL("image/" + (type == 'jpg' ? 'jpeg' : (type == 'jpeg' ? 'jpeg' : 'png')), 0.8);
	var dataURL = canvas.toDataURL("image/jpeg", 0.8);
	return dataURL;
}

function getImageType(imgPath) {
	var type = 'png';
	if (imgPath.indexOf('.jpg') != -1 || imgPath.indexOf('.JPG') != -1) {

		type = 'jpg';
	} else if (imgPath.indexOf('.jpeg') != -1 || imgPath.indexOf('.JPEG') != -1) {

		type = 'jpeg';
	}
	return type;
}

/**
 *得到现有待上传的img数量 
 */
function getImgList() {
	return document.getElementsByClassName("upload-img");
}

function getImgTotalLength() {
	var imgList = getImgList();
	var imgLength = 0;
	if (null != imgList && imgList.length > 0) {
		imgLength = imgList.length;
	}
	return imgLength;
}

function appendImg(newImgLength, imgPath) {

	var img = document.createElement('img');
	img.id = 'upload-img-idx-' + (newImgLength);
	img.className = 'upload-img upload-img-idx' + (newImgLength);
	img.src = imgPath;

	document.getElementById('upload-content-img-main').appendChild(img);
}

document.getElementById("pickDateBtn").addEventListener('tap', function () {
	var dDate = new Date();
	//dDate.setFullYear(2014, 7, 16);
	var minDate = new Date();
	minDate.setFullYear(2010, 0, 1);
	var maxDate = new Date();
	maxDate.setFullYear(2099, 11, 31);
	plus.nativeUI.pickDate(function (e) {
		var d = e.date;
		document.getElementById("pickDateBtn").innerText = d.getFullYear() + "-" + (d.getMonth() + 1) + "-" + d.getDate();
	}, function (e) {
		document.getElementById("pickDateBtn").innerText = "您没有选择日期";
	}, {
		title: "请选择日期",
		date: dDate,
		minDate: minDate,
		maxDate: maxDate
	});
})