/*
 * 插件初始化
 */
mui.init();

/*
 * 事件初始化
 */
var _shopInfo;
mui.plusReady(function() {

	var shopId = plus.storage.getItem('shopId');
	jAjax('/shop/shop/detail', 'POST', true, {
		id: shopId
	}, function(type, data) {
		//console.log('shopinfo request-->' + JSON.stringify(data));
		if(!type) {
			mui.toast('服务器发生未知错误', {
				duration: 'long',
				type: 'div'
			});
		} else {
			if (data.status != '200') {
				console.log('shopinfo----->>>' + JSON.stringify(data));
				return plus.nativeUI.toast(data.msg, {duration: 'long'});
			}
			var result = data.result;

			_shopInfo = {};
			_shopInfo.data = result;
			
			initData(_shopInfo);
		}
	});

	mui(".body").on("tap", "#nextBtn", function(e) {

		var value = document.querySelector('#servicetel').value;
		if(!value) {
			mui.toast('客服电话不能为空', {
				duration: 'long',
				type: 'div'
			});
			return
		}
		//_shopInfo.data.servicetel = value;
		plus.storage.setItem('servicetel', value);
		
		var url = '/shop/shop/update';
		jAjax(url, 'POST', true, {
			id: shopId,
			servicetel: value
		}, function(type, data) {
			flag = true
			if(!type) {
				mui.toast('服务器发生未知错误', {
					duration: 'long',
					type: 'div'
				});
			} else {
				console.log(JSON.stringify(data))
				mui.toast('提交成功', {
					duration: 'long',
					type: 'div'
				});
				mui.back();
			}
		});
	})
})

function backParam(label, value) {
	plus.webview.currentWebview().opener().evalJS('setParam("' + label + '", "' + value + '")');
	mui.back();
}

function initData(shopInfo) {
	shopInfo = shopInfo.data;
	//alert('json==>>' + JSON.stringify(shopInfo));
	var joinPayment = shopInfo.joinPayment;
	var baseBusiness = shopInfo.baseBusiness;
	var merchant = shopInfo.merchant;
	try {
		document.getElementById('expireDate').innerText = merchant.expireDate == null ? '' : merchant.expireDate.split(' ')[0];
	} catch(e) {
		console.log(e);
	}
	try {
		document.getElementById('amount').innerText = joinPayment.amount;
	} catch(e) {
		console.log(e);
	}
	document.getElementById('name').innerText = shopInfo.name;
	document.getElementById('legalPerson').innerText = shopInfo.legalPerson;

	document.getElementById('managementType').value = shopInfo.managementType;
	document.getElementById('contact').innerText = shopInfo.contact;
	document.getElementById('tel').innerText = shopInfo.tel;
	document.getElementById('regionDetail').innerText = shopInfo.regionDetail;
	
	document.getElementById('no').innerText = shopInfo.no;

	//var servicetel = plus.storage.getItem('servicetel') || '';
	var servicetel = shopInfo.servicetel || '';
	document.getElementById('servicetel').value = servicetel == '' ? shopInfo.tel : servicetel;
}