# 好享买慈善超市APP

### 一、模块基础结构
<pre>
├── html
├── js
└── css
</pre>

### 二、项目文件结构
<pre>
├── manifest.json - 项目配置文件
├── lib - 依赖包
├── public - 公共方法、样式
│   ├── public.js
│   └── public.css
├── index - 入口文件
├── shop - 超市
│   ├── map - 地图
│   ├── list - 列表
│   └── detail - 详情
├── merchant - 商户
│   ├── home - 首页
│   └── management - 管理
│   		├── profile - 简介
│   		├── promotions - 促销
│   		└── photo - 照片
├── join - 加盟
│   ├── application - 申请
│   │ 	├── one - 表单一
│   │ 	└── two - 表单二
│   └── join_pay - 缴纳加盟费
│   		├── remittance - 汇款
│   		├── online - 线上缴费
│   		├── pay - 收银台
│   		└── audit - 审核
├── user - 我的
│   ├── info - 我的
│   ├── edit_user - 编辑资料
│   ├── setting - 设置
│   ├── edit_pwd - 修改密码
│   └── about - 关于我们
├── login - 登录
├── register - 注册
├── forget - 忘记密码 
└── update - 检查更新
</pre>

### 三、框架
[http://dev.dcloud.net.cn/mui/](http://dev.dcloud.net.cn/mui/) - mui
[https://github.com/blueimp/JavaScript-MD5](https://github.com/blueimp/JavaScript-MD5) - md5
[http://www.hcoder.net/h](http://www.hcoder.net/h) - h.js
