/*
 * 插件初始化
 */
mui.init();

/*
 * 事件初始化
 */
mui.plusReady(function() {
	
	
	jGetVerifyCode('verifyCodeKey', 'verifyCodeImg');
	var loginNo = plus.storage.getItem('loginNo');
	document.getElementById('loginNo').innerText = loginNo;
	
	mui('.body').on('keyup', '#verifyCode', function() {
		var verifyCode = document.getElementById('verifyCode').value;
		if(verifyCode.length==4) {
			sendSms();
		}
	});
	//提交
	mui('.body').on('tap', '.saveButton', function() {
		sendSms();
	});
	
	//刷新验证码verifyCodeImg
	mui('.body').on('tap', '#verifyChange', function() {
		jGetVerifyCode('verifyCodeKey', 'verifyCodeImg');
	});
	mui('.body').on('tap', '#verifyCodeImg', function() {
		jGetVerifyCode('verifyCodeKey', 'verifyCodeImg');
	});
});


	
function sendSms(){
	//var mobilePhone = document.getElementById('loginNo').value;
		var mobilePhone = document.getElementById('loginNo').innerText;
		var verifyCode = document.getElementById('verifyCode').value;
		var verifyCodeKey = document.getElementById('verifyCodeKey').value;
		
		var params = {};
		params.mobilePhone = mobilePhone;
		params.verifyCode = verifyCode;
		params.verifyCodeKey = verifyCodeKey;
		
		var url = '/user/user/forget-password/send-verify-code';
		jAjax(url, 'POST', true, params, function(type, data) {
			if(!type) {
				msg = '服务器发生未知错误';
				mui.toast(msg, {
					duration: 'long',
					type: 'div'
				});
				return console.log(data);
			}
			var msg = '发送验证码成功，请等待短信通知';
			if(data.status != '200') {
				msg = data.msg;
				mui.toast(msg, {
					duration: 'long',
					type: 'div'
				})
			} else {
				mui.toast(msg, {
					duration: 'long',
					type: 'div'
				})
				setTimeout(function(){
					plus.storage.setItem('verifyId',data.result.verifyId);
					var main = plus.webview.currentWebview().opener();//获取父页面
					mui.fire(main, "validCodeBtn" );//出发A页面的pageflowrefresh方法
					mui.back();
				},1000)
			}
			
		});
}
