/*
 * 插件初始化
 */
mui.init();

/*
 * 事件初始化
 */

mui.plusReady(function () {
	var wrap1 = document.querySelector('#wrap1');
	var wrap2 = document.querySelector('#wrap2');
	var detail1 = document.querySelector('#detail1');
	var detail2 = document.querySelector('#detail2');
	wrap1.addEventListener('click', function (e) {
		if (e.target !== e.currentTarget) {
			if (detail1.classList.contains('hide')) {
				detail1.classList.remove('hide');
				detail2.classList.add('hide');
			}
		}
	})
	wrap2.addEventListener('click', function (e) {
		if (e.target !== e.currentTarget) {
			if (detail2.classList.contains('hide')) {
				detail2.classList.remove('hide');
				detail1.classList.add('hide');
			}
		}
	})
	h('#submitButton').tap(function () {
		var _radio = '1',
			_url = 'remittance/remittance.html',
			_id = 'joinRemittance',
			obj = document.getElementsByTagName("input");
		for (var i = 0; i < obj.length; i++) {
			if (obj[i].checked) {
				_radio = obj[i].value;
			}
		}

		console.log(_radio)
		switch (_radio) {
			case '0':
				_url = 'remittanced/remittanced.html';
				_id = 'joinRemittanced';
				break;
			case '1':
				_url = 'remittance/remittance.html';
				_id = 'joinRemittance';
				break;
			case '2':
				_url = 'online/online.html';
				_id = 'joinOnline';
				break;
			default:
				break;
		}
		console.log(_url)

		mui.openWindowWithTitle({
			id: _id,
			url: _url,
			waiting: {
				title: '正在加载...'
			}
		}, {
			title: { //标题配置
				text: "缴纳加盟费", //标题文字
			},
			back: { //左上角返回箭头
				image: {
					base64Data: backBase64
				}
			}
		})
	});
	
	
	window.addEventListener('closePage', function(e) {
		var main = plus.webview.currentWebview().opener();//获取父页面
		mui.fire(main, "closePage" );//出发A页面的pageflowrefresh方法
		mui.back();
	});
});