/*
 * 插件初始化
 */
mui.init();
var flag = true;
var params, shopinfoParams;
/*
 * 事件初始化
 */

/**
 * 从子页面返回的参数
 * @param {string} label 
 * @param {any} value 
 */
function setParam(label, value) {
	params[label] = value
}
var validateMsg = {
	id: 'shopid不能为空',
	promotion: '促销内容不能为空',
	description: '商户简介不能为空',
	busImageUrls: '商户图片不能为空',
}
mui.plusReady(function () {
	var shopId = plus.storage.getItem('shopId');

	// params = {
	// 	id: shopId,
	// 	promotion: "",
	// 	description: "",
	// 	busImageUrls: ""
	// }


	// jAjax('/shop/shop/detail', 'POST', true, {
	// 	id: shopId
	// }, function (type, data) {
	// 	if (!type) {
	// 		mui.toast('服务器发生未知错误', {
	// 			duration: 'long',
	// 			type: 'div'
	// 		});
	// 	} else {
	// 		if (!plus.storage.setItem('shopInfo')) {
	// 			var result = data.result;
	// 			params.description = result.description || '';
	// 			params.busImageUrls = result.busImageUrls || '';
	// 			params.promotion = result.promotion || '';
	// 		}


	// 	}
	// })
	mui(".mui-content").on("tap", "#profile", function (e) {
		// plus.storage.setItem('shopInfo', JSON.stringify(params));
		mui.openWindowWithTitle({
			id: 'profile.html',
			url: '../management/profile/profile.html',
			waiting: {
				title: '正在加载...'
			}
		}, {
			title: { //标题配置
				text: "商户简介", //标题文字
			},
			back: { //左上角返回箭头
				image: {
					base64Data: backBase64
				}
			}
		})
	})

	mui(".mui-content").on("tap", "#promotions", function (e) {
		// plus.storage.setItem('shopInfo', JSON.stringify(params));
		mui.openWindowWithTitle({
			id: 'promotions.html',
			url: '../management/promotions/promotions.html',
			waiting: {
				title: '正在加载...'
			}
		}, {
			title: { //标题配置
				text: "促销活动", //标题文字
			},
			back: { //左上角返回箭头
				image: {
					base64Data: backBase64
				}
			}
		})
	})

	mui(".mui-content").on("tap", "#photo", function (e) {
		// plus.storage.setItem('shopInfo', JSON.stringify(params));
		mui.openWindowWithTitle({
			id: 'photo.html',
			url: '../management/photo/photo.html',
			waiting: {
				title: '正在加载...'
			}
		}, {
			title: { //标题配置
				text: "商户照片", //标题文字
			},
			back: { //左上角返回箭头
				image: {
					base64Data: backBase64
				}
			}
		})
	});

	mui(".mui-content").on("tap", "#shopinfo", function (e) {
		mui.openWindowWithTitle({
			id: 'shopinfo.html',
			url: '../management/shopinfo/shopinfo.html',
			waiting: {
				title: '正在加载...'
			}
		}, {
			title: { //标题配置
				text: "商户信息", //标题文字
			},
			back: { //左上角返回箭头
				image: {
					base64Data: backBase64
				}
			}
		})
	});


	mui('.mui-content').on('tap', '#jd', function (e) {
		mui.toast('该功能正在建设中...');
//		mui.openWindow({
//			url: "../management/outer/jd.html",
//			id: "jd"
//		});
	});

	mui('.mui-content').on('tap', '#hxm', function (e) {
		mui.toast('该功能正在建设中...')
	})
});