mui.init();
mui.plusReady(function() {
	var self = plus.webview.currentWebview();
	var baiduWV = plus.webview.create("https://m.jd.com", "baidu", {
		top: "44px",
		bottom: 0
	});
	self.append(baiduWV);
	/**
	 * 重写mui.back()方法
	 * http://dev.dcloud.net.cn/mui/window/#closewindow
	 */
	/**
	 * 监听子窗口对象是否可后退
	 * http://www.html5plus.org/doc/zh_cn/webview.html#plus.webview.WebviewObject.canBack
	 */
	document.getElementById("go_back").addEventListener("tap", function() {
		baiduWV.canBack(function(event) {
			var canBack = event.canBack;
			if(canBack) {
				baiduWV.back();
			} else {
				alert("到头了，不能后退了！");
			}
		});
	});

	// 右上角前进icon的事件
	document.getElementById("go_forward").addEventListener("tap", function() {
		/**
		 * 监听子窗口对象是否可前进
		 * http://www.html5plus.org/doc/zh_cn/webview.html#plus.webview.WebviewObject.canForward
		 */
		baiduWV.canForward(function(event) {
			var canForward = event.canForward;
			if(canForward) {
				baiduWV.forward();
			} else {
				alert("不能前进！");
			}
		});
	});
});

//var height = window.screen.height;
//var width = window.screen.width;
//document.getElementById("ifm").height = height - 70;
//document.getElementById("ifm").width = width;
//
//if(navigator.userAgent.match(/iPad|iPhone/i)) {
//	document.getElementById("ifm").height = height * 2;
//}