/*
 * 插件初始化
 */
mui.init();

/*
 * 事件初始化
 */
mui.plusReady(function () {
  var shopInfo;
  // if (!shopInfo) {
  var shopId = plus.storage.getItem('shopId');
  jAjax('/shop/shop/detail', 'POST', true, {
    id: shopId
  }, function (type, data) {
    if (!type) {
      mui.toast('服务器发生未知错误', {
        duration: 'long',
        type: 'div'
      });
    } else {
      shopInfo = data.result;
      var description = shopInfo ? shopInfo.description : '';
      document.querySelector('#description').value = description;
    }
  })
  // }


  mui(".mui-content").on("tap", "#nextBtn", function (e) {
    var value = document.querySelector('#description').value;
    if (!value) {
      mui.toast('内容不能为空', {
        duration: 'long',
        type: 'div'
      });
      return
    }
    if (value.length > 255) {
      mui.toast('内容不能大于255字', {
        duration: 'long',
        type: 'div'
      });
      return
    }
    var url = '/shop/shop/update';
    jAjax(url, 'POST', true, {
      id: shopInfo.id,
      description: value
    }, function (type, data) {
      flag = true
      if (!type) {
        mui.toast('服务器发生未知错误', {
          duration: 'long',
          type: 'div'
        });
      } else {
        console.log(JSON.stringify(data))
        mui.toast('提交成功', {
          duration: 'long',
          type: 'div'
        });
        backParam('description', value)
        mui.back();
      }
    });
  })
})

function backParam(label, value) {
  plus.webview.currentWebview().opener().evalJS('setParam("' + label + '", "' + value + '")');
  mui.back();
}