var ajaxData = {};

/*
 * 插件初始化
 */
mui.init();
/*
 * 事件初始化
 */
var params;
var _joinType = ['自营无人智能超市', '新能源汽车移动超市', '资格授权超市', '品牌加盟超市'];

mui.plusReady(function () {
  params = plus.webview.currentWebview();
  var _param = {
    id: params.shopId,
    centerX: params.centerX,
    centerY: params.centerY,
  }
  var url = '/shop/shop/detail';
  var w = plus.nativeUI.showWaiting("加载中...");
  jAjax(url, 'POST', true, _param, function (type, data) {
    if (!type) {
      plus.nativeUI.closeWaiting();
      return;
    }
    console.log(data.result)
    ajaxData = data.result;
    success(data.result)
    plus.nativeUI.closeWaiting();

  });
});


function success(result) {
  if (result) {
  var busImageUrls = result.busImageUrls ? result.busImageUrls.split(',') : [];
  renderImg(busImageUrls)

  document.querySelectorAll('#title')[0].innerHTML = result.name;
  document.querySelectorAll('#regionDetail')[0].innerHTML = result.regionDetail;
  document.querySelectorAll('#distance')[0].innerHTML = params.distance;
  document.querySelectorAll('#tel')[0].href = 'tel:' + (result.servicetel ? result.servicetel : result.tel);
  document.querySelectorAll('#promotion')[0].innerHTML = result.promotion || "暂无促销商品";
  document.querySelectorAll('#description')[0].innerHTML = result.description || "暂无超市介绍";
  document.querySelectorAll('#joinType')[0].innerHTML = "超市类型: " + _joinType[result.joinType]
  document.querySelectorAll('#paper')[0].addEventListener('click', clickPaper, true)

  }
}


/**
 * 
 * @param {*} 超市名称 
 * @param {Object} point  目标坐标
 * @param {Object} thisPoint 当前坐标
 */
function openNavigation(name, point, thisPoint) {
  // 设置目标位置坐标点和起始位置坐标点
  var dst = new plus.maps.Point(point.lng, point.lat);
  var src = new plus.maps.Point(thisPoint.lng, thisPoint.lat);
  // 调用系统地图显示 
  plus.maps.openSysMap(dst, name, src);
}

function clickPaper(e) {
  var name = ajaxData.name;
  var point = {
    lng: ajaxData.x,
    lat: ajaxData.y
  }
  thisPoint = {
    lng: params.centerX,
    lat: params.centerY
  }
  openNavigation(name, point, thisPoint)
}

function renderImg(imgArr) {
  var sliderString = '';
  var indicator = '';
  if (imgArr.length) {
    for (var i = 0; i < imgArr.length; i++) {
      // todo 图片地址nginx 打开注释
      sliderString += ['<div class="mui-slider-item">',
        '<img src="', API_URL_IMG, "/img/", imgArr[i], '" > ', '</div>'
      ].join("");
      indicator += ['<div class="mui-indicator"></div>'].join("");
    }
    document.querySelectorAll('.mui-slider-indicator')[0].innerHTML = indicator;
    document.querySelectorAll('.mui-slider-group')[0].innerHTML = sliderString;
    mui.init();
  }
}