var wgtVer = '0';
var lauchFlag = false;
var flag = false;
var wgtUrl = "";

var checkUrl = '/system/paramter/version';

function updateMe(flag) {
	window.flag = flag;
	checkUpdate(wgtVer);
}

function checkUpdate(wgtVersion, isShowToast) {
	plus.nativeUI.showWaiting("正在检查更新...");
	
	jAjax(checkUrl, 'POST', true, null, function(type, data) {
		plus.nativeUI.closeWaiting();
		
		if (!type) return plus.nativeUI.toast('抱歉，网络繁忙，请稍后重试', {duration:'long'});
		if (data.status != '200') return plus.nativeUI.toast(data.msg, {duration: 'long'});
		
		var _newVersion = data.result.version.split('.'),
		_wgtVersion = wgtVersion.split('.'),
		_must = data.result.must,
		_isUpdate = false;
		
		if (_newVersion[0] > _wgtVersion[0]) {
			// 大版本更新
			wgtUrl = data.result.downloadUrl;
			if(_must == 0) _must = 1;
			_isUpdate = true;
		} else if (_newVersion[1] > _wgtVersion[1]) {
			// 中型更新
			wgtUrl = data.result.downloadUrl;
			if(_must == 0) _must = 1;
			_isUpdate = true;
		} else if (_newVersion[2] > _wgtVersion[2]) {
			// 小版本更新
			wgtUrl = data.result.downloadUrl;
			_isUpdate = true;
		}
		
		if(_isUpdate) {
			if(_must == 1) {
				plus.nativeUI.alert("发现新版本:" + data.result.version, function(){
					if(mui.os.ios)  {
						// HelloH5应用在appstore的地址
						var url='itms-apps://itunes.apple.com/cn/app/hello-h5+/id682211190?l=zh&mt=8';
						plus.runtime.openURL(url);
					}
					if(mui.os.android)  downWgt();
				}, "更新", "立即更新" );
			} else {				
				plus.nativeUI.confirm("发现新版本:" + data.result.version, function(e) {
					if(e.index == 0) {
						if(mui.os.ios)  {
							// HelloH5应用在appstore的地址
							var url='itms-apps://itunes.apple.com/cn/app/hello-h5+/id682211190?l=zh&mt=8';
							plus.runtime.openURL(url);
						}
						if(mui.os.android)  downWgt();
					}
				}, "更新", ["立即更新", "稍后更新"]);
			}
		} else {
			if(isShowToast) plus.nativeUI.toast('当前已是最新版本', {duration: 'long'});
		}
	});
}

// 下载wgt文件
function downWgt() {
	plus.nativeUI.showWaiting("正在下载...");
	plus.downloader.createDownload(wgtUrl, {
		filename: "_doc/update/"
	}, function(d, status) {
		if(status == 200) {
			plus.nativeUI.closeWaiting();
			installWgt(d.filename); // 安装wgt包
		} else {
			plus.nativeUI.alert("下载失败！");
		}
		plus.nativeUI.closeWaiting();
	}).start();
}

// 更新应用资源
function installWgt(path) {
	plus.nativeUI.showWaiting("正在安装...");
	plus.runtime.install(path, {}, function() {
//		plus.nativeUI.closeWaiting();
//		plus.nativeUI.alert("更新完成！", function() {
//			plus.runtime.restart();
//		});
	}, function(e) {
		plus.nativeUI.closeWaiting();
		plus.nativeUI.alert("安装失败[" + e.code + "]：" + e.message);
	});
}