/*
 * 插件初始化
 */
mui.init();

/*
 * 事件初始化
 */
mui.plusReady(function() {
	h('#edit_pwd').tap(function() {
		mui.openWindowWithTitle({
			id: 'editPwd',
			url: '../edit_pwd/edit_pwd.html',
			waiting: {
				title: '正在加载...'
			}
		}, {
			title: { //标题配置
				text: "修改密码", //标题文字
			},
			back: { //左上角返回箭头
				image: {
					base64Data: backBase64
				}
			}
		})
	});

	h('#logout').tap(function() {
		plus.storage.clear();
		plus.webview.getWebviewById("userInfo").reload();
		mui.back();
	});

	h('#version_check').tap(function() {
		var url = '/system/paramter/version';
		
		jAjax(url, 'POST', true, '', function(type, data) {
			if(!type) {
				msg = '服务器发生未知错误';
				mui.toast(msg, {
					duration: 'long',
					type: 'div'
				});
				return console.log(data);
			}

			console.log(JSON.stringify(data));
			var msg = '最新版本：' + data.result.version;
			mui.toast(msg, {
				duration: 'long',
				type: 'div'
			});
		});
	});
	
	
	//监听子页面返回
	window.addEventListener('upPwdSuccess', function(e) {
		plus.webview.getWebviewById("userInfo").reload();
		mui.back();
	});
});